Bug 413681 - RFE: include portaudiocpp files
RFE: include portaudiocpp files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: portaudio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 04:53 EST by Sindre Pedersen Bjørdal
Modified: 2008-01-09 09:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 05:21:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple patch for spec to include portaudiocpp (784 bytes, patch)
2007-12-06 04:53 EST, Sindre Pedersen Bjørdal
no flags Details | Diff

  None (edit)
Description Sindre Pedersen Bjørdal 2007-12-06 04:53:54 EST
Description of problem:
The current portaudio packages in Fedora does not include the optional (disabled
by default) portaudiocpp c++ development files needed at build-time by
applications written in c++ depending on portaudio, such as fldigi (see
http://fedoraproject.org/wiki/SIGs/AmateurRadio). Debian for example, includes
these files in their portaudio -devel package. 

Portaudiocpp can be enabled by adding the --enable-cxx switch to %configure and
including %{_includedir}/portaudiocpp. Debian does not separate portaudiocpp
into a separate subpackage, but simply includes the portaudiocpp files in the
-devel package. I don't know if this is the best way to do it. 

Version-Release number of selected component (if applicable):
v19_061121-3
Comment 1 Sindre Pedersen Bjørdal 2007-12-06 04:53:54 EST
Created attachment 279511 [details]
simple patch for spec to include portaudiocpp
Comment 2 Matthias Saou 2007-12-10 05:21:06 EST
I've updated the development package :

* Mon Dec 10 2007 Matthias Saou <http://freshrpms.net/> 19-4
- Include portaudiocpp library and headers (#413681).
Comment 3 Sindre Pedersen Bjørdal 2007-12-12 14:28:59 EST
Thanks, works great for me. Any chance we'll see this pushed for F8?
Comment 4 Steve Conklin 2008-01-08 23:17:04 EST
yes, please, put this in f8 if possible. The fldigi package is currently being
used by people in f8, even though it's not in fedora yet. This will make is
easier for people to make it all work.

That package will be submitted soon for devel.
Comment 5 Steve Conklin 2008-01-09 09:39:07 EST
Update:

The latest upstream of fldigi has removed the dependency for portaudiocpp, so I
have no urgent need for this to be done.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.